=== added directory 'stock_picking_security_force'
=== added file 'stock_picking_security_force/__init__.py'
=== added file 'stock_picking_security_force/__openerp__.py'
--- stock_picking_security_force/__openerp__.py	1970-01-01 00:00:00 +0000
+++ stock_picking_security_force/__openerp__.py	2013-02-21 16:24:43 +0000
@@ -0,0 +1,18 @@
+{
+    "name" : "stock_picking_security_force",
+    "version" : "1.1",
+    "author" : "Vauxoo",
+    "website" : "www.vauxoo.com",
+    "category" : "Stock",
+    "description" : """ Add security to the button Force Availability, module stock.picking """,
+    "init_xml" : [],
+    "depends" : ["stock"],
+    "update_xml" : [
+        'stock_picking_security_force_view.xml',
+        'security/groups.xml'
+        ],
+    "demo_xml" : [],
+    "test" : [],
+    "installable" : True,
+    "auto_install" : False,
+}

=== added directory 'stock_picking_security_force/security'
=== added file 'stock_picking_security_force/security/groups.xml'
--- stock_picking_security_force/security/groups.xml	1970-01-01 00:00:00 +0000
+++ stock_picking_security_force/security/groups.xml	2013-02-21 16:24:43 +0000
@@ -0,0 +1,10 @@
+<?xml version="1.0" ?>
+<openerp>
+	<data>
+        
+        <record id="stock.force_availability" model="res.groups">
+            <field name="name">Stock / Force Availability</field>
+        </record>
+        
+    </data>
+</openerp>

=== added file 'stock_picking_security_force/stock_picking_security_force_view.xml'
--- stock_picking_security_force/stock_picking_security_force_view.xml	1970-01-01 00:00:00 +0000
+++ stock_picking_security_force/stock_picking_security_force_view.xml	2013-02-21 16:24:43 +0000
@@ -0,0 +1,45 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+        
+        <record model="ir.ui.view" id="view_stock_picking_inherit_button_force_inc_form">
+            <field name="name">view.stock.picking.inherit.button.force.inc.form</field>
+            <field name="model">stock.picking</field>
+            <field name="inherit_id" ref="stock.view_picking_in_form"/>
+            <field name="type">form</field>
+            <field name="arch" type="xml">
+                <xpath expr="/form/notebook/page/group/button[@name='force_assign']" position="replace">
+                    <button name="force_assign" states="confirmed" string="Force Availability" type="object" icon="gtk-jump-to" groups="stock.force_availability"/>
+                </xpath>
+            </field>
+        </record>
+        
+        <record model="ir.ui.view" id="view_stock_picking_inherit_button_force_out_form">
+            <field name="name">view.stock.picking.inherit.button.force.out.form</field>
+            <field name="model">stock.picking</field>
+            <field name="inherit_id" ref="stock.view_picking_out_form"/>
+            <field name="type">form</field>
+            <field name="arch" type="xml">
+                <xpath expr="/form/notebook/page/group/button[@name='force_assign']" position="replace">
+                    <button name="force_assign" states="confirmed" string="Force Availability" type="object" icon="gtk-jump-to" groups="stock.force_availability"/>
+                </xpath>
+            </field>
+        </record>
+        
+        <record model="ir.ui.view" id="view_stock_picking_inherit_button_force_int_form">
+            <field name="name">view.stock.picking.inherit.button.force.int.form</field>
+            <field name="model">stock.picking</field>
+            <field name="inherit_id" ref="stock.view_picking_form"/>
+            <field name="type">form</field>
+            <field name="arch" type="xml">
+                <xpath expr="/form/notebook/page/group/button[@name='draft_validate']" position="replace">
+                    <button name="draft_validate" states="draft" string="Process Now" type="object" icon="gtk-jump-to" groups="stock.force_availability"/>
+                </xpath>
+                <xpath expr="/form/notebook/page/group/button[@name='force_assign']" position="replace">
+                    <button name="force_assign" states="confirmed" string="Force Availability" type="object" icon="gtk-jump-to" groups="stock.force_availability"/>
+                </xpath>
+            </field>
+        </record>
+        
+    </data>    
+</openerp>

